Page MenuHomePhabricator

Add a monitoring check for *.wmflabs.org certificate
Closed, ResolvedPublic

Description

The RapidSSL certificate for *.wmflabs.org expired and we did not caught it in advance. I am pretty sure we used to have a ssl cert check in Nagios/Icinga. Would be nice to have such a check added that will warn a few weeks in advance.

Event Timeline

hashar raised the priority of this task from to Unbreak Now!.
hashar updated the task description. (Show Details)
hashar added subscribers: AllApatcha, Xqt, Ash_Crow and 17 others.

There is an SSL check (though not for this apparently) which reports warning 60 before expiry and then 30 days before. This really should be added in a meta way.

Base added a subscriber: Base.Sep 15 2015, 3:16 PM
hashar lowered the priority of this task from Unbreak Now! to Medium.Sep 16 2015, 9:10 AM
hashar added a project: observability.
Luke081515 added a subscriber: Luke081515.
valhallasw raised the priority of this task from Medium to High.Oct 4 2015, 11:52 AM
valhallasw moved this task from Triage to Backlog on the Toolforge board.
valhallasw added a subscriber: valhallasw.
yuvipanda closed this task as Resolved.Nov 7 2015, 8:10 AM
yuvipanda claimed this task.

This exists now - tools.wmflabs.org's SSL cert is checked by icinga.